Get one delivery with its response body
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{pid}/deliveries/{id} \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{pid}/deliveries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{pid}/deliveries/{id}"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"delivery": {
"id": "<string>",
"destination_id": "<string>",
"destination_name": "<string>",
"destination_url": "<string>",
"event_id": "<string>",
"dataset": "<string>",
"status": "queued",
"response_code": 123,
"response_ms": 123,
"attempts": 123,
"max_attempts": 123,
"next_retry_at": "2023-11-07T05:31:56Z",
"error": "<string>",
"response_body": "<string>",
"response_content_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Deliveries
Get one delivery with its response body
Top-level alias: GET /admin/api/deliveries/. Readable by any role.
GET
/
admin
/
api
/
projects
/
{pid}
/
deliveries
/
{id}
Get one delivery with its response body
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{pid}/deliveries/{id} \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{pid}/deliveries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{pid}/deliveries/{id}"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"delivery": {
"id": "<string>",
"destination_id": "<string>",
"destination_name": "<string>",
"destination_url": "<string>",
"event_id": "<string>",
"dataset": "<string>",
"status": "queued",
"response_code": 123,
"response_ms": 123,
"attempts": 123,
"max_attempts": 123,
"next_retry_at": "2023-11-07T05:31:56Z",
"error": "<string>",
"response_body": "<string>",
"response_content_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Authorizations
sessionbearerAuth
The console's sealed session cookie, set by WorkOS AuthKit. Mutating requests also require the X-Requested-With CSRF header.
Path Parameters
Project id (UUID) belonging to the caller workspace.
Delivery id.
Response
The delivery, including the captured response body - the only endpoint that returns it.
Show child attributes
Show child attributes